Page MenuHomePhabricator

Create generic "tox" job that runs multiple environments
Closed, ResolvedPublic

Description

Right now we have individual tox jobs for each environment: tox-flake8, tox-py27, etc. Instead we can consolidate them into one "tox" which runs all the environments specified in envlist.

Details

Related Gerrit Patches:

Event Timeline

Legoktm created this task.Jun 21 2015, 5:53 AM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a subscriber: Legoktm.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 21 2015, 5:53 AM
hashar added a subscriber: hashar.

Note we will need jobs tied to different Linux Distribution to be able to use the different python version. pywikibot-core is an example.

hashar triaged this task as Medium priority.Aug 24 2015, 2:01 PM

Change 241671 had a related patch set uploaded (by Hashar):
Job to run all tox env on Nodepool instances

https://gerrit.wikimedia.org/r/241671

Change 241671 merged by jenkins-bot:
Job to run all tox env on Nodepool instances

https://gerrit.wikimedia.org/r/241671

hashar closed this task as Resolved.Oct 6 2015, 11:18 AM
hashar claimed this task.

I created the job tox-jessie which runs on disposable instances. It runs on Jessie and invokes 'tox'. So any env listed in the tox.ini envlist are run.

I have already switched a bunch of repositories to it.